package org.gcube.informationsystem.resourceregistry;

import org.gcube.informationsystem.model.impl.utils.discovery.ISMDiscovery;
import org.gcube.informationsystem.model.impl.utils.discovery.SchemaAction;
import org.gcube.informationsystem.resourceregistry.dbinitialization.DatabaseEnvironment;
import org.gcube.informationsystem.resourceregistry.dbinitialization.SchemaActionImpl;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DataBaseCreator {
	
	private static Logger logger = LoggerFactory.getLogger(ISMDiscovery.class);
	
	@Test
	public void createDatabase() throws Exception {
		String db = DatabaseEnvironment.DB_URI;
		logger.info("Created DB {}", db);
	}
	
	@Test
	public void createTypes() throws Exception {
		SchemaAction schemaAction = new SchemaActionImpl();
		ISMDiscovery.manageISM(schemaAction);
	}
	
}
